Subject: bug#31634: closed (Re: bug#31634: emacs 26.1 Compilation error and fix on Solaris 10)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 May 2018 18:37:01 +0000

Your bug report

#31634: emacs 26.1 Compilation error and fix on Solaris 10

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31634: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31634
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31634: emacs 26.1 Compilation error and fix on Solaris 10
From: Robert Pluim <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 29 May 2018 20:35:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Tue, 29 May 2018 14:55:27 +0200
>> Cc: [email-masked], 'Andreas Schwab' <[email-masked]>
>> 
>> "Christian Jullien" <[email-masked]> writes:
>> 
>> > Thanks, this patch works and you can close the bug report.
>> >
>> 
>> OK. Eli, for master I presume?
>
> No, emacs-26.  Emacs 26.1 was released, so we can now fix more bugs on
> the release branch.
>
> Thanks.

Closing bug, pushed as f212fe512c

Robert

Subject: emacs 26.1 Compilation error and fix on Solaris 10
From: "Christian Jullien" <[email-masked]>
To: <[email-masked]>
Date: Tue, 29 May 2018 07:49:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello emacs maintainers,

Many thanks for the energy you put on emacs.

Trying to compile emacs 26.1 on solaris 10 sparc with gcc 7.3, I get

xftfont.c: In function 'xftfont_open':

xftfont.c:338:19: error: 'xftfont_driver' undeclared (first use in this
function); did you mean 'ftxfont_driver'?

   font->driver = &xftfont_driver;

                   ^~~~~~~~~~~~~~

                   ftxfont_driver

Which I can easily fix by adding ligne 251:

extern struct font_driver const xftfont_driver;

Hope it helps.

C. Jullien